AddPrivateZone

1. API Description

This API (AddPrivateZone) is used to Create a DNS Zone.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

zoneName

Yes

String

DNS Zone name.

The format must be a domain, up to 252 characters long, or a separate domain suffix without a dot (2-63 characters long).

Case insensitive.

proxyPattern

No

Whether to enable subdomain recursive resolution proxy.

Default value: ZONE

vpcIds

No

Array of String

List of VPC IDs to be associated.

resourceGroupId

No

String

Resource group ID.

remark

No

String

Note information.

The length is up to 255 characters.

tags

No

Bound tags.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

zoneId

String

ID of the created DNS Zone.

4. Code Example

Create a DNS Zone.

POST /api/v2/zdns HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: AddPrivateZone
<Common Request Params>

Request:
{
  "zoneName": "example.com",
  "proxyPattern": "ZONE",
  "remark": "Test Zone",
  "tags": {
    "tags": [
      {
        "key": "mykey",
        "value": "test"
      }
    ]
  }
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "zoneId": "<zoneId>"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

400

INVALID_ZONE_NAME

Invalid DNS Zone format.

Last updated